{***************************************************************************}
{ TMS IntraWeb Component Pack Pro                                           }
{ for Delphi & C++Builder                                                   }
{ version 2.2                                                               }
{                                                                           }
{ written by TMS Software                                                   }
{            copyright © 2002 - 2007                                        }
{            Email : info@tmssoftware.com                                   }
{            Web : http://www.tmssoftware.com                               }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit QIWPicCntnr;

interface

uses
  {$IFDEF LINUX}
  QGraphics,
  {$ELSE}
  Graphics,
  {$ENDIF}                   
  Classes;

type

   TIWHTMLPictureCache = class(TObject)
   private
    FDesignLive: Boolean;
    FBaseDir: string;
   published
     property DesignLive: Boolean read FDesignLive write FDesignLive;
     property BaseDir: string read FBaseDir write FBaseDir;
   end;

   TIPicture = class(TBitmap)
   private
    function GetEmpty: Boolean;
    function GetGIF: Boolean;

   published
     property Empty: Boolean read GetEmpty;
     property IsGIF: Boolean read GetGIF;
   end;

implementation

{ TIPicture }

function TIPicture.GetEmpty: Boolean;
begin
  Result := True;
end;

function TIPicture.GetGIF: Boolean;
begin
  Result := False;
end;

end.
